libnvme(2)

NAME
struct nvme_get_discovery_args - Arguments for nvmf_get_discovery_wargs()

SYNOPSIS
struct nvme_get_discovery_args {
nvme_ctrl_t c;
int args_size;
int max_retries;
__u32 *result;
__u32 timeout;
__u8 lsp;
};

Members

c   Discovery controller

args_size
    Length of the structure

max_retries
    Number of retries in case of failure

result
    The command completion result from CQE dword0

timeout
    Timeout in ms (default: NVME_DEFAULT_IOCTL_TIMEOUT)

lsp Log specific field (See enum nvmf_log_discovery_lsp)